Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.net
Class TLSStreamReader

    java.lang.Object
      org.jivesoftware.openfire.net.TLSStreamReader

    public class TLSStreamReader

extends Object

A `TLSStreamReader` that returns a special InputStream that hides the ByteBuffers used by the underlying Channels.

Author:
  Hao Chen

Constructor Summary
`TLSStreamReader(TLSWrapper tlsWrapper, Socket socket)`

Method Summary
`InputStream` | `getInputStream()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TLSStreamReader

    public TLSStreamReader(TLSWrapper tlsWrapper,
                           Socket socket)
                    throws IOException

Throws:
  `IOException`

Method Detail

### getInputStream

    public InputStream getInputStream()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.